/* REXX installation script for DC User Pack */
/* Copyright (C) 1998 by Joseph L. Shrago */
/* fixed by VicTor Smirnoff 06.05.1999 */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

/*-------------------------- Initialization ------------------------------*/
SAY "Close all applications used DC User Pack..."

prompt= "Input path name for DC User Pack (C:\DCpack):"
len=length(prompt)
parse value SysCurPos() with row col

SAY prompt

rc=SysCurPos(row-1,len)

PARSE PULL installdir

IF installdir = "" THEN installdir="C:\DCpack"

if GetYesNo( "Fix DC User Pack in "installdir ) == 0 then
   exit


rc=SysMkDir(installdir)
'copy *.exe 'installdir
'copy *.h 'installdir
'copy *.lib 'installdir
'copy tstDCplu.cmd 'installdir
'copy *.me 'installdir

'attrib -r 'installdir'\rxDeMime.cmd'
call SysPutEA 'rxDeMime.cmd','REXX.TOKENSIMAGE',''
'copy rxDeMime.cmd 'installdir
'attrib +r 'installdir'\rxDeMime.cmd'


dlldir=value('USER_INI',,'OS2ENVIRONMENT')
dlldir=substr(dlldir,1,lastpos('\',dlldir))'dll'
'copy *.dll 'dlldir

'type 'installdir'\fixDC.me | more'
say "DC User Pack fixed successfully!"

exit

GetYesNo: procedure

   ok = 0

   do until ok
      call charout, arg(1) || "? "
      pull reply
      reply = left(reply, 1)
      ok = (reply = "Y") | (reply = "N")
      if \ok then do
         say 'Sorry. Please enter "Y" or "N".'
      end
   end

return (reply = "Y")
